#!/usr/bin/perl
use strict;


(@ARGV > 0 && @ARGV < 2) or die "Usage: perl parser.pl filename\n";
my $INPUT_FILE=$ARGV[0];
open(FILE,$INPUT_FILE) || die "Unable to open file...";

while (my $line=<FILE>) {
	my ($host,$date,$url_with_method,$status,$size,$referrer,$agent) = 
	$line =~ m/^(\S+) - - \[(\S+ [\-|\+]\d{4})\] "(\S+ \S+ [^"]+)" (\d{3}) (\d+|-) "(.*?)" "([^"]+)"$/;
	
	# print join " - ", $host,$date,$url_with_method,$size.  "\n";
        
	if($line =~ m/^(\S+)(.*)\s\/(.*\.php)/){
          print $1."-".$3."\n";
        }

}
close(FILE);
